Redmine - Defect #1384

Allow ampersands in Enumeration names
2008-06-05 09:42 - Arthaey Angosii

Status: Closed Start date: 2008-06-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 0.7.2

Resolution: Fixed Affected version:

Description

| would like to create a new Activity value, "Testing & Bug Fixing", but I'm not allowed to use the ampersand character.

What would break if the regular expression at source:trunk/app/models/enumeration.rb#L.26 were changed to /A\\w\s\'&\-]*$/i ?

Associated revisions

Revision 1503 - 2008-06-07 17:08 - Jean-Philippe Lang

Removes constraint on enumerations name (#1384).

History

#1 - 2008-06-07 17:05 - Jean-Philippe Lang
- Category set to Time tracking

- Status changed from New to Closed

- Target version set to 0.7.2

- Resolution set to Fixed

Fixed in r1503.
Any character is now allowed.
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/enumeration.rb#L26
https://www.redmine.org/projects/redmine/repository/svn/revisions/1503
http://www.tcpdf.org

